/* rects.h - some simple rectangle routines
**
** Copyright (C) 1992 by Jef Poskanzer
**
** Permission to use, copy, modify, and distribute this software and its
** documentation for any purpose and without fee is hereby granted, provided
** that the above copyright notice appear in all copies and that both that
** copyright notice and this permission notice appear in supporting
** documentation.  This software is provided "as is" without express or
** implied warranty.
**
** @(#) $Header: Rects.h,v 1.1 92/03/11 19:40:31 jef Exp $"
*/

#ifndef _RECTS_H_
#define _RECTS_H_

/* Initialize the Rects package. */
extern void RectsInit(
#if NeedFunctionPrototypes
    void
#endif
);

/* Queue up a rectangle for repainting - better than sending an Expose event. */
extern void RectsInvalidate(
#if NeedFunctionPrototypes
    XRectangle*		/* rectP */,
    Bool		/* merge */
#endif
);

/* Return a rectangle to be repainted, if there are any. */
extern Bool RectsNextInvalid(
#if NeedFunctionPrototypes
    XRectangle*		/* rectP */
#endif
);

/* Make rect1 the union of rect1 and rect2. */
extern void RectsUnion(
#if NeedFunctionPrototypes
    XRectangle*		/* rect1P */,
    XRectangle*		/* rect2P */
#endif
);

/* Make rect1 the intersection of rect1 and rect2. */
extern void RectsIntersect(
#if NeedFunctionPrototypes
    XRectangle*		/* rect1P */,
    XRectangle*		/* rect2P */
#endif
);

/* Test whether rect1 and rect2 intersect. */
extern Bool RectsTouch(
#if NeedFunctionPrototypes
    XRectangle*		/* rect1P */,
    XRectangle*		/* rect2P */
#endif
);

/* Test whether rect1 is inside rect2. */
extern Bool RectsInside(
#if NeedFunctionPrototypes
    XRectangle*		/* rect1P */,
    XRectangle*		/* rect2P */
#endif
);

#endif /*_RECTS_H_*/
